EDIT - task #10326

EuroMed mosses remaining issues
05/27/2023 09:18 PM - Andreas Mdller

Status: In Progress Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 20%
Category: data Estimated time: 0:00 hour
Target version: Release 5.44

Severity: normal

Description
copied from #10229

e Dataportal:
o Condensed Distribution String handling EUR area
o maps (or comment) for the separate mosses areas, shapefile needed for Russian areas (urgent) and Gr+Ae(Gr) (not
urgent) => #10349

o Gendensed-Distribution-StringferddGCN-data#10327

o Advanced search does not look nice anymore #10366
e Data:
o synonyms (still unclear were to take from)
o Mediterranean data (still unclear were to take from)
o Nomencl. authors for higher taxa
o Ireland: Discuss with authors if mapping to Hb(E) is correct
o move endemisim data to E+M Areal once possible
o decision by ERS, if IUCN status NA should map to a distribution status native or introduced, currently it is mapped to native
but probably introduced is correct (mail sent)
o Check with ERS if Status Notes and/or Taxon Details tables were considered (in the same Excel files), see
#10229#note-11, also author comparison (Tropicos - import file)
TaxEditor
o see how the mosses areas can be handled best in TaxEditor (don't show them usually, but allow the possibility to edit them
in case a change is needed)
o Handling of IUCN status in TaxEditor - preference needed #10323
o Maybe move It subareas to main vocabulary

Correct handling of Tu and its childs in hierarchy and cond. distr. (see also #9502)
Discuss: should EUR be shown in condensed distribution for status "not endemic" for mosses?
o Pro: being not endemic in EUR does not mean being not endemic in E+M. So showing EUR explicitly clearifies that
endemism is about EUR not E+M here
o The area of scope is shown in the long representation as Europe. This at least indicates that the data is about EUR, not

E+M
Related issues:
Related to EDIT - feature request #10327: IUCN condensed distribution configu... Closed
Related to EDIT - feature request #10323: Preference for IUCN status list states In Progress
Related to EDIT - bug #10346: Bugs in E+M dataportal 5.38 Closed
Related to EDIT - feature request #10349: Add Gr+AE(G) und Russian aereas for... New
Related to EDIT - bug #10366: Adapt advanced search to use area tree New

Associated revisions

Revision e449bd1e - 06/07/2023 09:13 PM - Andreas Miiller
ref #10326 handle alternativeRootArea in DTO based distribution tree

Revision 453292b8 - 06/07/2023 09:31 PM - Andreas Miiller

ref #10326 handle alternativeRootArea in non-DTO based distribution tree

Revision 97b459b2 - 06/07/2023 09:39 PM - Andreas Miiller

ref #10326 handle alternativeRootArea in non-DTO based distribution tree (cont.)
https://dev.e-taxonomy.eu/redmine/issues/10349
https://dev.e-taxonomy.eu/redmine/issues/10327
https://dev.e-taxonomy.eu/redmine/issues/10366
https://dev.e-taxonomy.eu/redmine/issues/10323
https://dev.e-taxonomy.eu/redmine/issues/9502

Revision 3d98473a - 06/07/2023 10:51 PM - Andreas Miiller

ref #10326 fix root switch and check empty and some javadoc

Revision 8fc59007 - 06/08/2023 12:05 AM - Andreas Miiller

ref #10326 handle alternativeRootArea in condensedDistrString

Revision 039b0f5d - 06/09/2023 10:28 PM - Andreas Miiller
ref #10326 add alternativeRootNodeMarkerType uuid to MarkerType

Revision d3643ab1 - 06/09/2023 11:48 PM - Andreas Miiller

ref #10326 try to fix incorrect alternativeRootArea handling

Revision 19d3a745 - 06/10/2023 12:26 AM - Andreas Miiller
ref #10326 javadoc and further tests

History

#2 - 05/27/2023 09:19 PM - Andreas Miiller
- Description updated

#3 - 05/27/2023 09:29 PM - Andreas Miiller

- Related to feature request #10327: IUCN condensed distribution configuration added

#4 - 05/27/2023 09:30 PM - Andreas Miiller
- Description updated

#5 - 05/27/2023 09:32 PM - Andreas Miiller
- Description updated

#6 - 05/27/2023 09:32 PM - Andreas Miiller
- Related to feature request #10323: Preference for IUCN status list states added

#7 - 06/07/2023 09:12 PM - Andreas Miiller
- Description updated

#8 - 06/08/2023 06:00 PM - Andreas Miiller

- Description updated

#9 - 06/08/2023 06:03 PM - Andreas Miiller

- Description updated

#10 - 06/10/2023 10:08 AM - Andreas Miiller
- Related to bug #10346: Bugs in E+M dataportal 5.38 added

#11 - 06/13/2023 09:51 AM - Andreas Muller
- Description updated

- % Done changed from 0 to 10

#12 - 06/13/2023 09:52 AM - Andreas Miiller

- Description updated

#13 - 06/14/2023 11:37 AM - Andreas Miiller

- Description updated

#14 - 06/14/2023 12:46 PM - Andreas Miiller

- Description updated
#15 - 06/14/2023 01:41 PM - Andreas Miiller

- Description updated

#16 - 06/14/2023 04:02 PM - Andreas Miiller

- Description updated

#17 - 06/14/2023 04:21 PM - Andreas Miiller
- Status changed from New to In Progress

- % Done changed from 10 to 20

Update areas:

SELECT deb.id, deb.area_id, deb.createdBy_id, deb.created, deb.feature_id, deb.DTYPE, deb.inDescription_id, dt
b.id, dtb.titleCache, dtb.idInVocabulary, dtb.vocabulary_id, tc.titleCache

FROM DescriptionElementBase deb INNER JOIN DefinedTermBase dtb ON deb.area_id = dtb.id

INNER JOIN TermCollection tc ON tc.id = dtb.vocabulary_id

WHERE deb.area_id = 2335 AND deb.DTYPE = 'Distribution' AND (deb.feature_id = 999 || deb.feature_id = 2702)
AND deb.created > '2023-04-21' AND deb.created < '2023-04-23' AND deb.createdBy_id IS NULL;

UPDATE DescriptionElementBase

SET area_id = 2336

WHERE id IN (SELECT deb.id

FROM DescriptionElementBase deb INNER JOIN DefinedTermBase dtb ON deb.area_id = dtb.id

INNER JOIN TermCollection tc ON tc.id = dtb.vocabulary_id

WHERE deb.area_id = 2335 AND deb.DTYPE = 'Distribution' AND (deb.feature_id = 999 || deb.feature_id = 2702)
AND deb.created > '2023-04-21' AND deb.created < '2023-04-23' AND deb.createdBy_id IS NULL

)i

#18 - 06/14/2023 05:59 PM - Andreas Miiller

- Description updated

#19 - 06/15/2023 09:42 AM - Andreas Miiller
- Related to feature request #10349: Add Gr+AE(G) und Russian aereas for mosses to the E+M shapefile added

#20 - 06/15/2023 09:45 AM - Andreas Miuiller

- Description updated

#21 - 06/16/2023 09:35 AM - Andreas Miiller

- Description updated

#22 - 06/29/2023 12:56 PM - Andreas Miiller
- Related to bug #10366: Adapt advanced search to use area tree added

#23 - 06/29/2023 01:08 PM - Andreas Miiller

- Description updated
